/************************************************************************/
/* @\F FIFOW[		                                        */
/*                                                                      */
/* TvF FIFOW[ł    		                                */
/*        KvɉčĐ݌vĂ				                */
/*                                                                      */
/*                                                                  */
/*                                                                      */
/*                                                                      */
/* ύXF                                                           */
/*  +------------------ ԍ (000 ` 999)                           */
/*  |    +------------- VKAύXAǉA폜̕                    */
/*  v    v                                                              */
/*  No     N                                               */
/* ----+------+----------+--------------------------------------------- */
/*  000 VK   16/11/22                                                 */
/*                                                                      */
/************************************************************************/
module fifo(
	din,
	rd_clk,
	rd_rst,
	rd_en,
	wr_clk,
	wr_rst,
	wr_en,
	dout,
	empty,
	full);


input [36 : 0] din;
input rd_clk;
input rd_rst;
input rd_en;
input wr_clk;
input wr_rst;
input wr_en;
output [36 : 0] dout;
output empty;
output full;


fifo_1k_37 fifo_1k_37 (
  .wr_rst(wr_rst), 			// input wr_rst
  .rd_rst(rd_rst), 			// input rd_rst
  .wr_clk(wr_clk), 			// input wr_clk
  .rd_clk(rd_clk), 			// input rd_clk
  .din(din), 				// input [36 : 0] din
  .wr_en(wr_en), 			// input wr_en
  .rd_en(rd_en), 			// input rd_en
  .dout(dout), 				// output [36 : 0] dout
  .full(full), 				// output full
  .empty(empty) 			// output empty
);


endmodule
