/************************************************************************/
/* @\F 6pPbg_TOPW[                            */
/*                                                                      */
/* TvF f[^oX:32bit6pPbg֕ϊ܂                   */
/*                                                                      */
/*                                                                  */
/*                                                                      */
/*                                                                      */
/* ύXF                                                           */
/*  +------------------ ԍ (000 ` 999)                           */
/*  |    +------------- VKAύXAǉA폜̕                    */
/*  v    v                                                              */
/*  No     N                                               */
/* ----+------+----------+--------------------------------------------- */
/*  000 VK   10/04/26                                                 */
/*  001 ύX   16/05/12   񓯊Zbg𓯊ZbgɕύX            */
/*  002 ύX   16/10/31   AhX1bitǉ ta[4:2]ta[5:2]             */
/*                                                                      */
/************************************************************************/

module port_top(
	busclk,
	busreset,
	trclk,
	trreset,
	xtcs,
	ta,
	td,
	xtwr,
	clk,
	xsync,
	d
	);


/***************************************************************************/
/* DECLARE THE PORT DIRECTION											   */
/***************************************************************************/
 input			busclk; 	//oXNbN
 input			busreset;	//busclkZbg
 input			trclk;		//pPbgApPbgʐM̊NbN
 input			trreset;	//trclkZbg
 input			xtcs;		//`bvZNg
 input	[5:2]	ta; 		//AhX
 input	[31:0]	td; 		//f[^
 input			xtwr;		//CgXg[u
 output 		clk;		//pPbgʐMNbN
 output 		xsync;		//pPbgʐMM
 output [3:0]	d;			//pPbgʐMf[^

/***************************************************************************/
/* DECLARE THE NODE(WIRE/REG)											   */
/***************************************************************************/
 wire	[36:0]	datain;
 wire			wr;
 wire			empty;
 wire			full;
 wire	[36:0]	dataout;
 wire			rd;
 wire			clk;
 wire			xsync;
 wire	[3:0]	d;
 wire	[2:0]	tmp;

/***************************************************************************/
/*																		   */
/***************************************************************************/

sync u_sync(
	 .	busclk				(busclk 			)	// (i)			busclk
	,.	busreset			(busreset			)	// (i)			busreset
	,.	xtwr				(xtwr				)	// (i)			xtwr
	,.	xtcs				(xtcs				)	// (i)			xtcs
	,.	ta					(ta 				)	// (i)	[5:2]	ta
	,.	td					(td 				)	// (i)	[31:0]	td
	,.	datain				(datain 			)	// (o)	[36:0]	datain
	,.	wr					(wr 				)	// (o)			wr
	,.	full				(full				)	// (i)			full
);

fifo u_fifo(
	 .	din 				(datain 			)	// (i)	[36:0]	din
	,.	rd_clk				(trclk				)	// (i)			rd_clk
	,.	rd_rst				(trreset			)	// (i)			rd_rst
	,.	rd_en				(rd 				)	// (i)			rd_en
	,.	wr_clk				(busclk 			)	// (i)			wr_clk
	,.	wr_rst				(busreset			)	// (i)			wr_rst
	,.	wr_en				(wr 				)	// (i)			wr_en
	,.	dout				(dataout			)	// (o)	[36:0]	dout
	,.	empty				(empty				)	// (o)			empty
	,.	full				(full				)	// (o)			full
);

packet_gen u_packet_gen(
	 .	trclk				(trclk				)	// (i)			trclk
	,.	trreset 			(trreset			)	// (i)			trreset
	,.	dataout 			(dataout			)	// (i)	[36:0]	dataout
	,.	empty				(empty				)	// (i)			empty
	,.	rd					(rd 				)	// (o)			rd
	,.	clk 				(clk				)	// (o)			clk
	,.	xsync				(xsync				)	// (o)			xsync
	,.	d					(d					)	// (o)	[3:0]	d
);

endmodule